# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    # Specific app values
    bin_name = glob.glob("Win10Pcap-v*.msi")[0]

    # Adding "SoftEther Corporation" as trusted driver signer
    with disable_file_system_redirection():
        run('"%s" -addstore TrustedPublisher "%s"' % (makepath(system32, "certutil.exe"), makepath(basedir, "softether-drivers.cer")))

    # Installing the package
    install_msi_if_needed(
        bin_name,
        min_version=control.get_software_version(),
    )
